## GtkPlotCanvasPlot GtkPlotCanvasPlot |

## Synopsis

    #include <gtkextra.h>

                        GtkPlotCanvasPlot;
    enum                GtkPlotCanvasPlotFlags;
    enum                GtkPlotCanvasPlotPos;
    GtkPlotCanvasChild * gtk_plot_canvas_plot_new           (GtkPlot *plot);
    GtkPlotCanvasPlotFlags  gtk_plot_canvas_plot_flags      (GtkPlotCanvasPlot *plot);
    void                gtk_plot_canvas_plot_set_flags      (GtkPlotCanvasPlot *plot,
                                                             GtkPlotCanvasPlotFlags flags);
    void                gtk_plot_canvas_plot_unset_flags    (GtkPlotCanvasPlot *plot,
                                                             GtkPlotCanvasPlotFlags flags);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkPlotCanvasChild
                         +----GtkPlotCanvasPlot

## Description

A GtkPlotCanvas object is an interactive container for GtkPlots and some graphic primitives that can be used to illustrate the plots (see GtkCanvasChild).

## Details

### GtkPlotCanvasPlot

    typedef struct _GtkPlotCanvasPlot GtkPlotCanvasPlot;

The GtkPlotBar struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotCanvasPlotFlags

    typedef enum
    {
          GTK_PLOT_CANVAS_PLOT_SELECT_POINT  =       1 << 0, /* Select point */
          GTK_PLOT_CANVAS_PLOT_DND_POINT     =       1 << 1, /* DnD point */
    } GtkPlotCanvasPlotFlags;

Selection and DND mode of GtkPlotCanvas

`GTK_PLOT_CANVAS_PLOT_SELECT_POINT` | Select point
`GTK_PLOT_CANVAS_PLOT_DND_POINT` | DnD point

### enum GtkPlotCanvasPlotPos

    typedef enum
    {
      GTK_PLOT_CANVAS_PLOT_OUT,
      GTK_PLOT_CANVAS_PLOT_IN_PLOT,
      GTK_PLOT_CANVAS_PLOT_IN_LEGENDS,
      GTK_PLOT_CANVAS_PLOT_IN_TITLE,
      GTK_PLOT_CANVAS_PLOT_IN_AXIS,
      GTK_PLOT_CANVAS_PLOT_IN_DATA,
      GTK_PLOT_CANVAS_PLOT_IN_GRADIENT,
      GTK_PLOT_CANVAS_PLOT_IN_MARKER,
    } GtkPlotCanvasPlotPos;

### gtk_plot_canvas_plot_new ()

    GtkPlotCanvasChild * gtk_plot_canvas_plot_new           (GtkPlot *plot);

`plot` : | a GtkPlot.
Returns : |

### gtk_plot_canvas_plot_flags ()

    GtkPlotCanvasPlotFlags  gtk_plot_canvas_plot_flags      (GtkPlotCanvasPlot *plot);

`plot` : |
Returns : |

### gtk_plot_canvas_plot_set_flags ()

    void                gtk_plot_canvas_plot_set_flags      (GtkPlotCanvasPlot *plot,
                                                             GtkPlotCanvasPlotFlags flags);

`plot` : |
`flags` : |

### gtk_plot_canvas_plot_unset_flags ()

    void                gtk_plot_canvas_plot_unset_flags    (GtkPlotCanvasPlot *plot,
                                                             GtkPlotCanvasPlotFlags flags);

`plot` : |
`flags` : |